from django.core.management.commands.makemigrations import Command as MakeMigrationsCommand
from django.apps import apps
from django_migration_resolver.utils import update_latest_migration, get_migration_tracking_file_path


class Command(MakeMigrationsCommand):
    def handle(self, *args, **options):
        super().handle(*args, **options)

        for app in apps.get_app_configs():
            if get_migration_tracking_file_path(app.name).exists():
                update_latest_migration(app.name)
